Subject: Re: Network problem with bridge and virtualbox

From: Nicolas de Pesloüan<[email-masked]>
Date: Thu, 29 Sep 2011 23:56:55 +0200

Le 29/09/2011 14:49, William Thompson a écrit :
> Please keep me in the CC as I am not subscribed.
>
> I'm using a 64-bit kernel 3.0.0 and virtualbox 4.1.2.
>
> My problem is that I cannot ping the host from a virtual machine.
>
> My bridge is configured as follows:
> # brctl addbr br0
> # brctl setfd br0 0
> # brctl stp br0 off
> # ifconfig br0 10.2.3.1 netmask 255.255.255.0
>
> In the virtual machine, it is set to use br0 as it's interface (bridge mode)
> and it's IP is 10.2.3.10.

Why do you use bridge with VirtualBox?

VirtualBox provide several network modes, which remove the need for bridge on the host.

One of Bridged Network mode (using eth0), Internal Networking mode or Host-only Networking mode may 
suit your need well, without having to use a bridge.

	Nicolas.